igeo.io

## Class IEsri.Shape

- java.lang.Object
- - igeo.io.IEsri.Shape

- Enclosing class:
    IEsri

      public static class IEsri.Shape
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IEsri.Attributes` | `attr`
    `IObject` | `object`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Shape(IObject obj)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `alpha()`
    `int` | `alphaInt()`
    `java.awt.Color` | `awtColor()`
    `double` | `blue()`
    `int` | `blueInt()`
    `IVec` | `center()`
    `IColor` | `clr()`
    `IEsri.Shape` | `clr(java.awt.Color c)`
    `IEsri.Shape` | `clr(java.awt.Color c, double alpha)`
    `IEsri.Shape` | `clr(java.awt.Color c, float alpha)`
    `IEsri.Shape` | `clr(java.awt.Color c, int alpha)`
    `IEsri.Shape` | `clr(double dgray)`
    `IEsri.Shape` | `clr(double dgray, double dalpha)`
    `IEsri.Shape` | `clr(double dr, double dg, double db)`
    `IEsri.Shape` | `clr(double dr, double dg, double db, double da)`
    `IEsri.Shape` | `clr(float fgray)`
    `IEsri.Shape` | `clr(float fgray, float falpha)`
    `IEsri.Shape` | `clr(float fr, float fg, float fb)`
    `IEsri.Shape` | `clr(float fr, float fg, float fb, float fa)`
    `IEsri.Shape` | `clr(IColor c)`
    `IEsri.Shape` | `clr(IColor c, double alpha)`
    `IEsri.Shape` | `clr(IColor c, float alpha)`
    `IEsri.Shape` | `clr(IColor c, int alpha)`
    `IEsri.Shape` | `clr(int gray)`
    `IEsri.Shape` | `clr(int gray, int alpha)`
    `IEsri.Shape` | `clr(int r, int g, int b)`
    `IEsri.Shape` | `clr(int r, int g, int b, int a)`
    `ICurve` | `curve()`
    `IEsri.AttributeField` | `field(int index)`
    `int` | `fieldIndex(java.lang.String fieldName)` currently fieldName is case insensitive.
    `java.lang.String` | `fieldName(int index)`
    `int` | `fieldNum()`
    `char` | `fieldType(int index)`
    `java.awt.Color` | `getAWTColor()`
    `IColor` | `getColor()`
    `double` | `gray()`
    `int` | `grayInt()`
    `double` | `green()`
    `int` | `greenInt()`
    `int` | `greyInt()`
    `IEsri.Shape` | `hsb(double dh, double ds, double db)`
    `IEsri.Shape` | `hsb(double dh, double ds, double db, double da)`
    `IEsri.Shape` | `hsb(float h, float s, float b)`
    `IEsri.Shape` | `hsb(float h, float s, float b, float a)`
    `double` | `num(int index)`
    `double` | `num(java.lang.String fieldName)` currently fieldName is case insensitive.
    `double` | `numAttr(int index)`
    `double` | `numAttr(java.lang.String fieldName)`
    `IPoint` | `point()`
    `double` | `red()`
    `int` | `redInt()`
    `java.lang.String` | `text(int index)`
    `java.lang.String` | `text(java.lang.String fieldName)` currently fieldName is case insensitive.
    `java.lang.String` | `textAttr(int index)`
    `java.lang.String` | `textAttr(java.lang.String fieldName)`
    `float` | `weight()`
    `IEsri.Shape` | `weight(double w)`
    `IEsri.Shape` | `weight(float w)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### object

          public IObject object

    - #### attr

          public IEsri.Attributes attr

  - ### Constructor Detail

    - #### Shape

          public Shape(IObject obj)

  - ### Method Detail

    - #### curve

          public ICurve curve()

    - #### point

          public IPoint point()

    - #### center

          public IVec center()

    - #### fieldNum

          public int fieldNum()

    - #### fieldName

          public java.lang.String fieldName(int index)

    - #### fieldType

          public char fieldType(int index)

    - #### field

          public IEsri.AttributeField field(int index)

    - #### fieldIndex

          public int fieldIndex(java.lang.String fieldName)

      currently fieldName is case insensitive.

    - #### text

          public java.lang.String text(int index)

    - #### textAttr

          public java.lang.String textAttr(int index)

    - #### text

          public java.lang.String text(java.lang.String fieldName)

      currently fieldName is case insensitive.

    - #### textAttr

          public java.lang.String textAttr(java.lang.String fieldName)

    - #### num

          public double num(int index)

    - #### numAttr

          public double numAttr(int index)

    - #### num

          public double num(java.lang.String fieldName)

      currently fieldName is case insensitive.

    - #### numAttr

          public double numAttr(java.lang.String fieldName)

    - #### clr

          public IColor clr()

      Returns:
        returns whatever Color of any graphics member. (first found)

    - #### weight

          public float weight()

      Returns:
        returns weight in attribute if any attribute exists. if not default weight in IConfig

    - #### redInt

          public int redInt()

    - #### greenInt

          public int greenInt()

    - #### blueInt

          public int blueInt()

    - #### alphaInt

          public int alphaInt()

    - #### grayInt

          public int grayInt()

    - #### greyInt

          public int greyInt()

    - #### red

          public double red()

    - #### green

          public double green()

    - #### blue

          public double blue()

    - #### alpha

          public double alpha()

    - #### gray

          public double gray()

    - #### clr

          public IEsri.Shape clr(IColor c)

    - #### clr

          public IEsri.Shape clr(IColor c,
                                 int alpha)

    - #### clr

          public IEsri.Shape clr(IColor c,
                                 float alpha)

    - #### clr

          public IEsri.Shape clr(IColor c,
                                 double alpha)

    - #### awtColor

          public java.awt.Color awtColor()

    - #### getAWTColor

          public java.awt.Color getAWTColor()

    - #### clr

          public IEsri.Shape clr(java.awt.Color c)

    - #### clr

          public IEsri.Shape clr(java.awt.Color c,
                                 int alpha)

    - #### clr

          public IEsri.Shape clr(java.awt.Color c,
                                 float alpha)

    - #### clr

          public IEsri.Shape clr(java.awt.Color c,
                                 double alpha)

    - #### getColor

          public IColor getColor()

    - #### clr

          public IEsri.Shape clr(int gray)

    - #### clr

          public IEsri.Shape clr(double dgray)

    - #### clr

          public IEsri.Shape clr(float fgray)

    - #### clr

          public IEsri.Shape clr(int gray,
                                 int alpha)

    - #### clr

          public IEsri.Shape clr(double dgray,
                                 double dalpha)

    - #### clr

          public IEsri.Shape clr(float fgray,
                                 float falpha)

    - #### clr

          public IEsri.Shape clr(int r,
                                 int g,
                                 int b)

    - #### clr

          public IEsri.Shape clr(double dr,
                                 double dg,
                                 double db)

    - #### clr

          public IEsri.Shape clr(float fr,
                                 float fg,
                                 float fb)

    - #### clr

          public IEsri.Shape clr(int r,
                                 int g,
                                 int b,
                                 int a)

    - #### clr

          public IEsri.Shape clr(double dr,
                                 double dg,
                                 double db,
                                 double da)

    - #### clr

          public IEsri.Shape clr(float fr,
                                 float fg,
                                 float fb,
                                 float fa)

    - #### hsb

          public IEsri.Shape hsb(double dh,
                                 double ds,
                                 double db,
                                 double da)

    - #### hsb

          public IEsri.Shape hsb(float h,
                                 float s,
                                 float b,
                                 float a)

    - #### hsb

          public IEsri.Shape hsb(double dh,
                                 double ds,
                                 double db)

    - #### hsb

          public IEsri.Shape hsb(float h,
                                 float s,
                                 float b)

    - #### weight

          public IEsri.Shape weight(double w)

    - #### weight

          public IEsri.Shape weight(float w)